# List email notification histories Describes how to get a notification history for notification emails. ### Notes Request parameters and their values may be appended with a "?" following the HTTPS GET request. Additional request parameter are separated by "&". For example: GET https://rest.zuora.com/v1/notification-history/email?startTime=2015-01-12T00:00:00&endTime=2015-01-15T00:00:00&failedOnly=false&eventCategory=1000&pageSize=1 Endpoint: GET /v1/notification-history/email Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. - `accountId` (string) ID of an account. By specifying this query parameter, you can filter email notification histories by account. - `endTime` (string) The end date and time of records to be returned. Defaults to now. Use format yyyy-MM-ddTHH:mm:ss. The maximum date range (endTime - startTime) is three days. - `startTime` (string) The initial date and time of records to be returned. Defaults to (end time - 1 day). Use format yyyy-MM-ddTHH:mm:ss. The maximum date range (endTime - startTime) is three days. - `objectId` (string) The Id of an object that triggered an email notification. - `failedOnly` (boolean) If true, only returns failed records. When false, returns all records in the given date range. Defaults to true when not specified. - `eventCategory` (number) Category of records to be returned by event category. The following formats are supported: * {Event Type Namespace}:{Event Type Name} if the Custom Events feature is enabled in your tenant. For example: user.notification:NewSubscriptionCreated. * Numeric code of the event category if the Custom Events feature is not enabled in your tenant. For example, 1210. See Event Category Code for more information. ## Response 200 fields (application/json): - `emailHistories` (array) A container for email histories. - `emailHistories.accountId` (string) ID of an account. - `emailHistories.bcc` (string) Blind carbon copy recipients of the email. - `emailHistories.cc` (string) Carbon Copy recipients of the email. - `emailHistories.errorMessage` (string) null if the content of result is "OK". A description of the error if the content of result is not "OK". - `emailHistories.eventCategory` (string) The event category of the email. - `emailHistories.fromEmail` (string) The sender of the email. - `emailHistories.notification` (string) The name of the notification. - `emailHistories.replyTo` (string) The reply-to address as configured in the email template. - `emailHistories.result` (string) The result from the mail server of sending the email. - `emailHistories.sendTime` (string) The date and time the email was sent. - `emailHistories.subject` (string) The subject of the email. - `emailHistories.toEmail` (string) The intended recipient of the email. - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `success` (boolean) Returns true if the request was processed successfully.